body {
    font-family: 'Libre Franklin', Helvetica, Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #1a1919;
    color: #fff;
    font-size: 14pt;
}

a {
    color: #ffa700;
}

h1 {
    font-weight: 900;
    text-align: center;
    font-size: 10vw;
    color: #ff9600;
    margin: 0;
}

h1 a {
    text-decoration: none;
    color: #ffa700;
}

h3 {
    text-align: center;
}

p {
    font-weight: 400;
}

header { 
    /*background: url(../img/splits_sm.jpg) no-repeat center center; 
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;*/
    position: relative;
    padding: 0.5vw 0 2vw;
    text-shadow: 1px 1px 2px #000;
    border-bottom: 5px solid black;
    font-size: 16pt;
}

img[data-src] {
  filter: blur(0.2em);
}

img {
  filter: blur(0em);
  transition: filter 0.5s;
}

.header-img {
  object-fit: cover; 
  width: 100%; 
  height: 100%; 
  position: absolute; 
  top: 0; 
  left: 0; 
  z-index: -1
}

header p {
    margin: 0 auto;
    width: 60vw;
    color: #fff;
}

footer {
    text-align: center;
    font-size: 12pt;
    color: #666;
    padding: 1vh 0 20px;
}

.socials {
    display: flex;
    list-style-type: none;
    padding: 0;
    overflow: hidden;
    margin: 2vh auto 0;
    font-size: 1.8em;
    justify-content: center;
    align-items: center;
    gap: 0 .75em;
}

.socials li {
    display: inline-block
}

.socials li a, .plainlinks {
    text-decoration: none;
    color: #fff;
}

.portfolios {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin: 3vh 0;
    gap: 2vh 2vw;
}

.portfolio { 
    width: 30vw;
    height: auto;
    border-radius: 11px;
    display: block;
}

.overlay {
    position: relative;
    cursor: pointer;
    display: inline-block;
}

.overlay::before {
    content: '\A';
    position: absolute;
    width: 100%; 
    height: 100%;
    top: 0; 
    left: 0;
    z-index: 1;
    opacity: 0;
    background: rgba(0,0,0,0.75);
    border-radius: 11px;
    transition: all 0.5s;
    -webkit-transition: all 0.5s;
}

.overlay:hover::before, .overlay:active::before {
    opacity: 1;
}

.portfolio-title {
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 2;
    transform: translate(-50%, -50%);
    width: 80%;
    transition: all 0.5s;
    -webkit-transition: all 0.5s;
    opacity: 0;
}

.content-narrow {
    display: block;
    width: 50vw;
    margin: 0 auto;
}

.iframe-container {
    position: relative;
    overflow: hidden;
    width: 100%;
    padding-bottom: 56.25%; /* 16:9 Aspect Ratio (divide 9 by 16 = 0.5625) */
}

.iframe-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
}

@media screen and (max-width: 800px) {
    body {
        font-size: 12pt;
    }

    header {
        padding: 7vw 0;
        font-size: 13pt;
    }

    h1 {
        font-size: 15vw;
    }  

    header p {
        margin: 0 auto;
        width: 85vw;
        padding: 3vh 0;
    }
    
    footer {
      font-size: 10pt;
    }

    .header-socials {
        top: auto;
        bottom: 1em;
    }

    .portfolios {
        flex-direction: column;
    }

    .portfolio { 
        width: 80vw;
        height: auto;
    }

    .content-narrow {
        width: 90vw;
    }
}